package com.fr.plugin.db.redis;

import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ParserType;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;

public class RedisConnectionComponent extends Component {
    public static final RedisConnectionComponent KEY = new RedisConnectionComponent();
    @Override
    public ScriptPath script(RequestClient req) {
        return ScriptPath.build("com/fr/plugin/db/redis/web/redis.js", ParserType.DYNAMIC);
    }

    @Override
    public StylePath style(RequestClient req) {
        return StylePath.build("com/fr/plugin/db/redis/web/redis.css", ParserType.DYNAMIC);
    }
}