package com.fr.plugin.db.redis.core.emb.impl;

import com.fanruan.api.log.LogKit;
import com.fr.plugin.db.redis.core.accessor.EmbedRedis;
import com.fr.plugin.db.redis.core.emb.Redis;

import java.io.IOException;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-21
 */
public class SimpleRedis implements Redis {

    private EmbedRedis redis;

    public SimpleRedis(EmbedRedis redis) {
        this.redis = redis;
    }

    @Override
    public EmbedRedis getClient() {
        return redis;
    }

    @Override
    public void close() {
        try {
            redis.close();
        } catch (IOException e) {
            LogKit.error(e.getMessage(), e);
        }
    }
}
