package com.fr.plugin.db.redis.core.visit;

import com.fr.plugin.db.redis.core.DataWrapper;
import com.fr.plugin.db.redis.core.accessor.EmbedRedis;
import com.fr.stable.ParameterProvider;
import com.fr.stable.script.CalculatorProvider;

import java.util.List;

/**
 * Created by richie on 2017/5/2.
 */
public interface Visitor<T> {

    String TOKEN_SPACE = "\\s+";

    List<List<T>> getContent(CalculatorProvider calculator, ParameterProvider[] ps, EmbedRedis client, String query, int rowCount) throws Exception;

    DataWrapper<T> buildData(CalculatorProvider calculator, ParameterProvider[] ps, EmbedRedis client, String query, int rowCount) throws Exception;

    boolean match(String query);

    String keyWord();
}
