package com.fr.plugin.db.redis.help.client;

import java.util.ArrayList;
import java.util.List;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-08-26
 */
public class SimpleDataModel {

    private int rowCount;
    private List<List<Object>> data = new ArrayList<List<Object>>();
    private String[] columnNames = null;

    SimpleDataModel(String[] columnNames, List<List<Object>> data, int rowCount){
        this.columnNames = columnNames;
        this.data = data;
        this.rowCount = rowCount;
    }

    public int getRowCount() {
        return rowCount;
    }

    public void setRowCount(int rowCount) {
        this.rowCount = rowCount;
    }

    public List<List<Object>> getData() {
        return data;
    }

    public void setData(List<List<Object>> data) {
        this.data = data;
    }

    public String[] getColumnNames() {
        return columnNames;
    }

    public void setColumnNames(String[] columnNames) {
        this.columnNames = columnNames;
    }
}
