package com.fr.plugin.db.redis.ui.value;

import com.fanruan.api.design.ui.editor.ValueEditorPane;
import com.fanruan.api.design.ui.editor.ValueEditors;
import com.fr.design.editor.editor.Editor;

public class IndexValuePaneFactory {

    /**
     * 创建带编辑器的ValueEditorPane
     *
     * @return 返回pane
     */
    public static ValueEditorPane createValueEditorPane() {
        return ValueEditors.createValueEditorPane(new Editor[]{
                new IntegerEditor(),
                new FormulaEditor()
        });
    }
}
