export const i18n = {
    'Plugin-Redis_Host': '数据库地址',
    'Plugin-Redis_Port': '端口',
    'Plugin-Redis_Password': '密码',
    'Plugin-Redis_Table_Data': 'Redis数据集',
    'Plugin-Redis_Script_Table_Data': 'Redis程序数据集',
    'Plugin-Redis_Query_Condition': '查询条件',
    'Plugin-Redis_DB': 'RedisDB数据集',
    'Plugin-Redis_Help': '帮助文档',
    'Plugin-Redis_Keys_Pattern': '键值的正则表达式',
    'Plugin-Redis_Keys_Pattern_Search': '搜索',
    'Plugin-Redis_Set_Parameter': '参数',
    'Plugin-Redis_Set_Parameter_Name': '参数名',
    'Plugin-Redis_Set_Parameter_Type': '参数类型',
    'Plugin-Redis_Set_Parameter_Value': '参数值',
    'Plugin-Redis_DB_Index': '数据库编号',
    'Plugin-Redis_Index': '编号',
    'Plugin-Redis_Preview': '预览',
    'Plugin-Redis_Refresh': '刷新',
    'Plugin-Redis_Formula': '公式',
    'Plugin-Redis_Query': '查询',
    'Plugin-Redis_Connection_Successfully': '连接成功',
    'Plugin-Redis_Connection_Failed': '连接失败',
    'Plugin-Redis_Script_Text_Description': '可以使用JavaScript脚本来转换查询结果。\n注意1：内置参数$content和$column，分别表示原始的数据集内容（二维数组）和数据集的列名（一维数组）。如果返回一个二维数组，表示仅修改数据集内容，不修改数据集的列名；如果返回一个如下格式的对象:\n{content:[][],column:[]}，表示同时修改了数据集的内容和列名。\n注意2：如果希望引用外部JS，可以在脚本框中写入file:///$ENV_HOME/transform.js，其中$ENV_HOME表示当前工作目录。',
    'Plugin-Redis_Pool_Max_Total': '最大连接数',
    'Plugin-Redis_Script_Query_Text': '查询脚本',
    'Plugin-Redis_Pool_Max_Wait': '最大等待时间',
    'Plugin-Redis_Pool_Config': '连接池配置',
    'Plugin-Redis_Proxy_Config': '跳板服务器设置',
    'Plugin-Redis_Proxy_Open': '启用跳板服务器',
    'Plugin-Redis_Proxy_Host': '主机地址',
    'Plugin-Redis_Proxy_Port': '端口',
    'Plugin-Redis_Proxy_Username': '用户名',
    'Plugin-Redis_Proxy_Password': '密码',
    'Plugin-Redis_Proxy_Private_Key_Path': '秘钥文件',
    'Plugin-Redis_Proxy_Private_Key_Tip': 'PEM格式的秘钥文件路径',
    'Plugin-Redis_Pool_Block_When_Exhausted': '连接耗尽时阻塞',
    'Plugin-Redis_Pool_Lifo': '后进先出',
    'Plugin-Redis_Pool_Max_Idle': '最大空闲连接数',
    'Plugin-Redis_Pool_Timeout': '超时时间',
    'Plugin-Redis_Proxy_Description': '跳板服务器连接仅支持ssh协议（注意：启用跳板服务器将无法使用连接池）',
    'Plugin-Redis_Connect_Cluster_Description': '连接集群配置说明',
    'Plugin-Redis_Cluster_Config_Description': '1、使用逗号分割集群中的多个数据库地址和端口，必须要求地址和端口数量一致；\n2、所有redis节点的密码必须相同;\n3、连接集群的时候无法使用跳板机。',
    'Plugin-Redis_Script_Engine_Type': '脚本引擎',
    'Plugin-Redis_Script_Engine_Type_Default': '默认',
    'Plugin-Redis_Script_Engine_Type_V8': 'V8高速引擎',
    'Plugin-Redis_Proxy_Private_Key_Path_Mark': '请输入服务器文件路径',
    'Plugin-Redis_Connection_Form_OriginalCharsetName': '编码',
    'Plugin-Redis_Check_Integer': '请输入不小于0的整数',
    'Plugin-Redis_View': '视图',
    'Plugin-Redis_Table': '表',
    'BI-Multi_Date_Quarter_End': '季度末',
    'BI-Multi_Date_Month_Begin': '月初',
    'BI-Multi_Date_YMD': '年月日',
    'BI-Custom_Color': '自定义颜色',
    'BI-Numerical_Interval_Input_Data': '请输入数值',
    'BI-Please_Input_Natural_Number': '请输入非负整数',
    'BI-No_More_Data': '无更多数据',
    'BI-Basic_Altogether': '共',
    'BI-Basic_Sunday': '星期日',
    'BI-Widget_Background_Colour': '组件背景',
    'BI-Color_Picker_Error_Text': '请输入0~255的正整数',
    'BI-Multi_Date_Month': '月',
    'BI-No_Selected_Item': '没有可选项',
    'BI-Multi_Date_Year_Begin': '年初',
    'BI-Quarter_1': '第1季度',
    'BI-Quarter_2': '第2季度',
    'BI-Quarter_3': '第3季度',
    'BI-Quarter_4': '第4季度',
    'BI-Multi_Date_Year_Next': '年后',
    'BI-Multi_Date_Month_Prev': '个月前',
    'BI-Month_Trigger_Error_Text': '请输入1~12的正整数',
    'BI-Less_And_Equal': '小于等于',
    'BI-Year_Trigger_Invalid_Text': '请输入有效时间',
    'BI-Multi_Date_Week_Next': '周后',
    'BI-Font_Size': '字号',
    'BI-Basic_Total': '共',
    'BI-Already_Selected': '已选择',
    'BI-Formula_Insert': '插入',
    'BI-Select_All': '全选',
    'BI-Basic_Tuesday': '星期二',
    'BI-Multi_Date_Month_End': '月末',
    'BI-Load_More': '点击加载更多数据',
    'BI-Basic_September': '九月',
    'BI-Current_Is_Last_Page': '当前已是最后一页',
    'BI-Basic_Auto': '自动',
    'BI-Basic_Count': '个',
    'BI-Basic_Value': '值',
    'BI-Basic_Unrestricted': '无限制',
    'BI-Quarter_Trigger_Error_Text': '请输入1~4的正整数',
    'BI-Basic_More': '更多',
    'BI-Basic_Wednesday': '星期三',
    'BI-Basic_Bold': '加粗',
    'BI-Basic_Simple_Saturday': '六',
    'BI-Multi_Date_Month_Next': '个月后',
    'BI-Basic_March': '三月',
    'BI-Current_Is_First_Page': '当前已是第一页',
    'BI-Basic_Thursday': '星期四',
    'BI-Basic_Prompt': '提示',
    'BI-Multi_Date_Today': '今天',
    'BI-Multi_Date_Quarter_Prev': '个季度前',
    'BI-Row_Header': '行表头',
    'BI-Date_Trigger_Error_Text': '日期格式示例:2015-3-11',
    'BI-Basic_Cancel': '取消',
    'BI-Basic_January': '一月',
    'BI-Basic_June': '六月',
    'BI-Basic_July': '七月',
    'BI-Basic_April': '四月',
    'BI-Multi_Date_Quarter_Begin': '季度初',
    'BI-Multi_Date_Week': '周',
    'BI-Click_Blank_To_Select': '点击\\空格键\\选中完全匹配项',
    'BI-Basic_August': '八月',
    'BI-Word_Align_Left': '文字居左',
    'BI-Basic_November': '十一月',
    'BI-Font_Colour': '字体颜色',
    'BI-Multi_Date_Day_Prev': '天前',
    'BI-Select_Part': '部分选择',
    'BI-Multi_Date_Day_Next': '天后',
    'BI-Less_Than': '小于',
    'BI-Basic_February': '二月',
    'BI-Multi_Date_Year': '年',
    'BI-Number_Index': '序号',
    'BI-Multi_Date_Week_Prev': '周前',
    'BI-Next_Page': '下一页',
    'BI-Right_Page': '向右翻页',
    'BI-Numerical_Interval_Signal_Value': '前后值相等，请将操作符改为“≤”',
    'BI-Basic_December': '十二月',
    'BI-Basic_Saturday': '星期六',
    'BI-Basic_Simple_Wednesday': '三',
    'BI-Multi_Date_Quarter_Next': '个季度后',
    'BI-Basic_October': '十月',
    'BI-Basic_Simple_Friday': '五',
    'BI-Basic_Save': '保存',
    'BI-Numerical_Interval_Number_Value': '请保证前面的数值小于/等于后面的数值',
    'BI-Previous_Page': '上一页',
    'BI-No_Select': '搜索结果为空',
    'BI-Basic_Clears': '清空',
    'BI-Created_By_Me': '我创建的',
    'BI-Basic_Simple_Tuesday': '二',
    'BI-Word_Align_Right': '文字居右',
    'BI-Summary_Values': '汇总',
    'BI-Basic_Clear': '清除',
    'BI-Upload_File_Size_Error': '文件大小不支持',
    'BI-Up_Page': '向上翻页',
    'BI-Basic_Simple_Sunday': '日',
    'BI-Multi_Date_Relative_Current_Time': '相对当前时间',
    'BI-Selected_Data': '已选数据：',
    'BI-Multi_Date_Quarter': '季度',
    'BI-Check_Selected': '查看已选',
    'BI-Basic_Search': '搜索',
    'BI-Basic_May': '五月',
    'BI-Continue_Select': '继续选择',
    'BI-Please_Input_Positive_Integer': '请输入正整数',
    'BI-Upload_File_Type_Error': '文件类型不支持',
    'BI-Upload_File_Error': '文件上传失败',
    'BI-Basic_Friday': '星期五',
    'BI-Down_Page': '向下翻页',
    'BI-Basic_Monday': '星期一',
    'BI-Left_Page': '向左翻页',
    'BI-Transparent_Color': '透明',
    'BI-Basic_Simple_Monday': '一',
    'BI-Multi_Date_Year_End': '年末',
    'BI-Time_Interval_Error_Text': '请保证开始时间早于/等于结束时间',
    'BI-Basic_Time': '时间',
    'BI-Basic_OK': '确定',
    'BI-Basic_Sure': '确定',
    'BI-Basic_Simple_Thursday': '四',
    'BI-Multi_Date_Year_Prev': '年前',
    'BI-Tiao_Data': '条数据',
    'BI-Basic_Italic': '斜体',
    'BI-Basic_Dynamic_Title': '动态时间',
    'BI-Basic_Year': '年',
    'BI-Basic_Single_Quarter': '季',
    'BI-Basic_Month': '月',
    'BI-Basic_Week': '周',
    'BI-Basic_Day': '天',
    'BI-Basic_Work_Day': '工作日',
    'BI-Basic_Front': '前',
    'BI-Basic_Behind': '后',
    'BI-Basic_Empty': '空',
    'BI-Basic_Month_End': '月末',
    'BI-Basic_Month_Begin': '月初',
    'BI-Basic_Year_End': '年末',
    'BI-Basic_Year_Begin': '年初',
    'BI-Basic_Quarter_End': '季末',
    'BI-Basic_Quarter_Begin': '季初',
    'BI-Basic_Week_End': '周末',
    'BI-Basic_Week_Begin': '周初',
    'BI-Basic_Current_Day': '当天',
    'BI-Basic_Begin_Start': '初',
    'BI-Basic_End_Stop': '末',
    'BI-Basic_Current_Year': '今年',
    'BI-Basic_Year_Fen': '年份',
    'BI-Basic_Current_Month': '本月',
    'BI-Basic_Current_Quarter': '本季度',
    'BI-Basic_Year_Month': '年月',
    'BI-Basic_Year_Quarter': '年季度',
    'BI-Basic_Input_Can_Not_Null': '输入框不能为空',
    'BI-Basic_Date_Time_Error_Text': '日期格式示例:2015-3-11 00:00:00',
    'BI-Basic_Input_From_To_Number': '请输入{R1}的数值',
    'BI-Basic_Or': '或',
    'BI-Basic_And': '且',
    'BI-Conf_Add_Formula': '添加公式',
    'BI-Conf_Add_Condition': '添加条件',
    'BI-Conf_Formula_And': '且公式条件',
    'BI-Conf_Formula_Or': '或公式条件',
    'BI-Conf_Condition_And': '且条件',
    'BI-Conf_Condition_Or': '或条件',
    'BI-Microsoft_YaHei': '微软雅黑',
    'BI-Apple_Light': '苹方-light',
    'BI-Font_Family': '字体',
    'BI-Basic_Please_Input_Content': '请输入内容',
    'BI-Word_Align_Center': '文字居中',
    'BI-Basic_Please_Enter_Number_Between': '请输入{R1}-{R2}的值',
    'BI-More_Than': '大于',
    'BI-More_And_Equal': '大于等于',
    'BI-Please_Enter_SQL': '请输入SQL',
    'BI-Basic_Click_To_Add_Text': '+点击新增\\{R1}\\',
    'BI-Basic_Please_Select': '请选择',
    'BI-Basic_Font_Color': '文字颜色',
    'BI-Basic_Background_Color': '背景色',
    'BI-Basic_Underline': '下划线',
    'BI-Basic_Param_Month': '{R1}月',
    'BI-Basic_Param_Day': '{R1}日',
    'BI-Basic_Param_Quarter': '{R1}季度',
    'BI-Basic_Param_Week_Count': '第{R1}周',
    'BI-Basic_Param_Hour': '{R1}时',
    'BI-Basic_Param_Minute': '{R1}分',
    'BI-Basic_Param_Second': '{R1}秒',
    'BI-Basic_Param_Year': '{R1}年',
    'BI-Basic_Date_Day': '日',
    'BI-Basic_Hour_Sin': '时',
    'BI-Basic_Seconds': '秒',
    'BI-Basic_Minute': '分',
    'BI-Basic_Wan': '万',
    'BI-Basic_Million': '百万',
    'BI-Basic_Billion': '亿',
    'BI-Basic_Quarter': '季度',
    'BI-Basic_No_Select': '不选',
    'BI-Basic_Now': '此刻',
};
