import { model, Model } from '@core/core';
@model()
export class PreviewModel extends Model {
    static xtype = 'plugin.model.report.redis.components.preview';

    childContext = <const>['previewAble', 'previewedDataSet'];

    state() {
        return {
            previewAble: true,
            previewedDataSet: {},
        };
    }

    actions = {
        setPreviewedDataSet: (value: any) => {
            this.model.previewedDataSet = value;
        },
    }
}
