package com.fr.plugin.db.redis.help;

import com.fanruan.api.log.LogKit;


/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-18
 */
public class Console {

    public Console() {

    }

    @ScriptBridge
    public void log(Object message) {
        LogKit.info(message == null ? null : message.toString());
    }

    @ScriptBridge
    public void error(Object message) {
        LogKit.error(message == null ? null : message.toString());
    }

    @ScriptBridge
    public String engine() {
        return RedisClientSelector.isSupportJ2v8() ? "V8" : "Nashorn";
    }
}
