package com.fr.plugin.db.redis.help;

import com.fr.plugin.db.redis.core.emb.Redis;
import com.fr.plugin.db.redis.help.client.SimpleDataModel;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-08-26
 */
public interface RedisClient<A> {

    SimpleDataModel build(Redis redis, String query, int limit);

    @ScriptBridge
    String get(String key);

    @ScriptBridge
    String hget(String key, String field);

    @ScriptBridge
    String hkeys(String key);

    @ScriptBridge
    String hmget(String key, String... fields);

    @ScriptBridge
    String hgetAll(String key);

    @ScriptBridge
    String keys(String pattern);

    @ScriptBridge
    String lrange(String key, long start, long end);

    @ScriptBridge
    String mget(A keys);

    @ScriptBridge
    String smembers(String key);
}
