package com.fr.plugin.db.redis.help.client;

import com.eclipsesource.v8.V8;
import com.fanruan.api.macro.EncodeConstants;
import com.fanruan.api.util.IOKit;
import com.fr.plugin.db.redis.help.ScriptBridge;

import java.io.InputStream;
import java.io.UnsupportedEncodingException;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-19
 */
public class V8Files {

    private V8 v8;

    public V8Files(V8 v8) {
        this.v8 = v8;
    }

    @ScriptBridge
    public void require(String filePath) {
        InputStream in = IOKit.read(filePath);
        if (in != null) {
            try {
                v8.executeVoidScript(IOKit.inputStream2String(in, EncodeConstants.ENCODING_UTF_8));
            } catch (UnsupportedEncodingException ignore) {

            }
        }
    }
}
