package com.fr.plugin.db.redis.util;

import com.fanruan.api.design.ui.component.UIRoundedBorder;
import com.fanruan.api.design.macro.UIConstants;
import com.fanruan.api.design.ui.component.code.UISyntaxTextArea;
import com.fanruan.api.design.ui.component.code.UISyntaxTextScrollPane;

import java.awt.*;

/**
 * @author richie
 * @version 10.0
 * Created by richie on 2019-03-18
 */
public class RedisDesignUtils {
    public static UISyntaxTextScrollPane createConditionTextPane(UISyntaxTextArea editorPane, String type, int height) {
        editorPane.setSyntaxEditingStyle(type);
        UISyntaxTextScrollPane sqlTextScrollPane = new UISyntaxTextScrollPane(editorPane);
        sqlTextScrollPane.setBorder(new UIRoundedBorder(UIConstants.LINE_COLOR, 1, UIConstants.ARC));
        sqlTextScrollPane.setPreferredSize(new Dimension(680, height));
        sqlTextScrollPane.setLineNumbersEnabled(false);
        return sqlTextScrollPane;
    }
}
