import { model, Model } from '../../core/core';

@model()
export class DatabaseIndexModel extends Model {
    static xtype = 'plugin.model.report.redis.components.database_index'

    state() {
        return {
            inputValue: '' as string | number,
            inputType: 'int',
        };
    }

    actions = {
        setInpueValue: (value: string | number) => {
            this.model.inputValue = value;
        },
        setInputType: (value: string) => {
            this.model.inputType = value;
        },
    }
}
