import { shortcut } from '@core/core';

@shortcut()
export class FormItem extends BI.Widget {
    static xtype = 'dec.dcm.connection.plugin.redis.components.form_item'

    props = {
        name: '',
        forms: '',
        nameWidth: 100,
    }

    render () {
        return {
            type: BI.FloatLeftLayout.xtype,
            items: [
                {
                    type: BI.Label.xtype,
                    cls: 'bi-font-bold',
                    width: this.options.nameWidth,
                    textAlign: 'left',
                    text: `${this.options.name}:`,
                },
                ...this.options.forms,
            ],
        };
    }
}
