import { model, Model } from '@core/core';
@model()
export class PoolEditModel extends Model {
    static xtype = 'dec.dcm.model.connection.plugin.redis.components.pool_edit'
    state() {
        return {
            blockWhenExhausted: true,
            lifo: true,
        };
    }

    actions = {
        setBlockWhenExhausted:(blockWhenExhausted: boolean) => {
            this.model.blockWhenExhausted = blockWhenExhausted;
        },
        setLifo: (lifo: boolean) => {
            this.model.lifo = lifo;
        },
    }
}
