export const POOL_CONFIG = {
    maxTotal: 10,
    maxWait : -1,
    maxIdle : 10,
    blockWhenExhausted: true,
    lifo: true,
    timeout: 100000,
};

export const PROXY_CONFIG = {
    open: false,
    host: '',
    port: 22,
    username: '',
    password: '',
    privateKeyPath: '',
};

export const BASIC_CONFIG = {
    host: '',
    port: '6379',
    password: '',
    originalCharsetName: '',
};

export const CONNECT_CHARSET = [
    {
        text: BI.i18nText('BI-Basic_Auto'),
        value: '',
    },
    {
        text: 'GBK',
        value: 'GBK',
    },
    {
        text: 'BIG5',
        value: 'BIG5',
    },
    {
        text: 'ISO-8859-1',
        value: 'ISO-8859-1',
    },
    {
        text: 'UTF-8',
        value: 'UTF-8',
    },
    {
        text: 'UTF-16',
        value: 'UTF-16',
    },
    {
        text: 'EUC_JP',
        value: 'EUC_JP',
    },
    {
        text: 'EUC_KR',
        value: 'EUC_KR',
    },
    {
        text: 'CP850',
        value: 'CP850',
    },
];
