import { shortcut } from '@core/core';
@shortcut()
export class ListItem extends BI.BasicButton {
    static xtype = 'dec.dcm.connection.plugin.redis.table_list.list_item'
    props = {
        text: '',
        height: 20,
        showIcon: false,
        baseCls: 'bi-list-item-active',
    }
    render() {
        const { text, showIcon } = this.options;
        if(showIcon){
            return {
                type: BI.HTapeLayout.xtype,
                items: [{
                    el: {
                        type: BI.IconLabel.xtype,
                        cls: 'redis-column-font',
                    },
                    width: 25,
                }, {
                    type: BI.Label.xtype,
                    textAlign: 'left',
                    text,
                }],
            };
        }else{
            return {
                type: BI.Label.xtype,
                textAlign: 'left',
                lgap: 5,
                text,
            }
        }
        
    }
}
